aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorinstaller <installer@gmail.com>2025-02-16 22:35:23 +0900
committerinstaller <installer@gmail.com>2025-02-16 22:35:23 +0900
commit71870158a308862197dbaf568295fba053a2eaad (patch)
treefc51f00fd5faa826763363c402a8628531fd4bd9
parent1797deb5c7bf376f035bee7f74b18cf152011ff1 (diff)
added Debian-ubuntu fool proof when running copy.sh
-rw-r--r--README.md4
-rwxr-xr-xcopy.sh23
2 files changed, 26 insertions, 1 deletions
diff --git a/README.md b/README.md
index 9a25c63f..a2012af0 100644
--- a/README.md
+++ b/README.md
@@ -136,6 +136,10 @@ chmod +x upgrade.sh
- check out this page [FAQ](https://github.com/JaKooLit/Hyprland-Dots/wiki/FAQ) and [UNSOLVED ISSUES](https://github.com/JaKooLit/Hyprland-Dots/wiki/Known_Issues)
+### ‼️ ⁉️ Debian and Ubuntu Users ATTENTION!
+- to update your dots, follow [THIS](https://github.com/JaKooLit/Hyprland-Dots/wiki/Install_&_Update#--debian-and-ubuntu-hyprland-dots-updating-notes-)
+
+
#### 🙋 QUESTIONS ?!?! ⁉️
- FAQ! Yes you can use these dotfiles to other distro! Just ensure to install proper packages first! If it makes you feel better, I use same config on my Gentoo:)
- QUICK HINT! Click the HINT! Waybar module (note only available in Waybar default and Simple-L [TOP] layout). Can be launched by Keybind `SUPER H`
diff --git a/copy.sh b/copy.sh
index 1eddc685..0516b968 100755
--- a/copy.sh
+++ b/copy.sh
@@ -30,7 +30,28 @@ if [[ $EUID -eq 0 ]]; then
printf "\n%.0s" {1..2}
exit 1
fi
-
+
+# Function to print colorful text
+print_color() {
+ printf "%b%s%b\n" "$1" "$2" "$CLEAR"
+}
+
+# Check if dpkg is installed (use to check if Debian or Ubuntu or based distros)
+if command -v dpkg &> /dev/null; then
+ printf "\n%.0s" {1..1}
+ print_color $WARNING "
+ █▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀█
+ INCOMPATIBLE
+ █▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄█
+
+ You are running Debian / Ubuntu. Kindly refer to Hyprland-Dots Readme
+ for instruction on how to update your Hyprland-Dots
+ "
+ printf "\n%.0s" {1..3}
+ exit 1
+fi
+
+
printf "\n%.0s" {1..1}
echo -e "\e[35m
╦╔═┌─┐┌─┐╦ ╔╦╗┌─┐┌┬┐┌─┐
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage